%Funkce zobraz_vysledky zobrazí do tabulky výsledné hodnoty. Funkce pro
%zobrazení tabulky byla převzata, protože gui pro matlab 7.4.0 neumožnuje
%vložení tabulky.

function zobraz_vysledky(renew,master_str,leg, handles)

if renew == 1;
 cell_data ={...
    '','','','';...
     '','','','';...
     '','','','';...
     '','','','';...
     '','','','';...
     '','','','';...
     '','','','';...
     '','','','';...
    };
else 
    val = get(handles.FileListbox, 'Value');
    jou = length(val);
    for i = 1:jou
        xx(1+(i-1)*4)= {master_str{val(i)}.vysl_vln_delka};
        xx(2+(i-1)*4) = {master_str{val(i)}.Tm_teplota};
        xx(3+(i-1)*4) ={master_str{val(i)}.enthalpy}; 
        xx(4+(i-1)*4) = {leg{i}};
    end
    xz = reshape(xx, 4, [])';
    cell_data = xz;
end
	columninfo.titles={'Vlnová délka','Tm','Enthalpie','Vzorek'};
	columninfo.formats = {'%4.6g','%4.6g','%4.6g','%4.6g', '%4.6g'};
	columninfo.weight =      [ 1, 1, 1, 1.85];
	columninfo.multipliers = [ 1, 1, 1, 1];
	columninfo.isEditable =  [ 0, 0, 0, 0];
	columninfo.isNumeric =   [ 1,1, 1, 0];
% 	columninfo.withCheck = false;
% 	columninfo.chkLabel = 'Use';
	rowHeight = 16;
	gFont.size=9;
	gFont.name='Helvetica';
 	data = mltable(gcf, handles.tblParams, 'CreateTable', columninfo, rowHeight, cell_data, gFont);